Show user
GET
/api/v1/users/{user_uuid}
operationId: user.get
Base: https://portal.watcheye.com.au/api/v1/users/{user_uuid}
Return a single user by UUID.
Path parameters
| Field | Description |
|---|---|
user_uuid |
string (uuid) The user UUID |
Responses
200
User response
application/json
| Field | Description |
|---|---|
data |
object The user details |
data. |
string (uuid) The user's UUID |
data. |
string The user's username |
data. |
string The user's first name |
data. |
string The user's last name |
data. |
string The user's email address |
data. |
string The user's phone number |
data. |
boolean Whether the user is enabled |
data. |
array of strings The user's roles
Note: This will be an empty array if the user has no special roles assigned to them. |
data. |
string (date-time) or null The user's last login timestamp (ISO 8601 format) |
data. |
string (date-time) The user's creation timestamp (ISO 8601 format) |
data. |
string (date-time) The user's last update timestamp (ISO 8601 format) |
api_reference |
string (uuid) A unique identifier for this request. This can be used to track the request in the logs and audit trail. |